namespace SafeCampus.Application.Services.Business.PersonSetInfoService;

public interface IPersonSetInfoService:ITransient
{
    /// <summary>
    /// 添加班级
    /// </summary>
    /// <returns></returns>
    Task<bool> Add(PersonSetInfoDto input);
    /// <summary>
    /// 删除班级
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<bool> Delete(string id);
    /// <summary>
    /// 编辑信息
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> Update(PersonSetInfoDto input);
    /// <summary>
    /// 获取底库列表
    /// </summary>
    /// <returns></returns>
    Task<List<PersonSetInfoDto>> GetPageList(long? majorId,string setName);
}